<?php


return  
    [
        'model' => [
            'model' => \Litecms\Demo\Models\DemoRestaurant::class,
            'table' => 'litecms_demo_demo_restaurants',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['restaurant_id',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'demo/demo_restaurant',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "restaurant_id", 
                "type" => "text", 
                "label" => 'demo::demo_restaurant.label.restaurant_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "user_type", 
                "type" => "text", 
                "label" => 'demo::demo_restaurant.label.user_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "created_at", 
                "type" => "text", 
                "label" => 'demo::demo_restaurant.label.created_at', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'restaurant_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'demo::demo_restaurant.label.restaurant_id',
                "placeholder" => 'demo::demo_restaurant.placeholder.restaurant_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'user_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'demo::demo_restaurant.label.user_type',
                "placeholder" => 'demo::demo_restaurant.placeholder.user_type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'demo/demo_restaurant/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'demo/demo_restaurant/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'demo/demo_restaurant',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'demo/demo_restaurant',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'demo/demo_restaurant',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'demo/demo_restaurant',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'demo::demo_restaurant.label.created_at',
            'name' => 'demo::demo_restaurant.label.name',
            'status' => 'demo::demo_restaurant.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "demo::demo_restaurant.groups.main",
                'key' => "main",
                'title' => "demo::demo_restaurant.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "demo::demo_restaurant.groups.details",
                'key' => "documents",
                'title' => "demo::demo_restaurant.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "demo::demo_restaurant.groups.images",
                'key' => "documents",
                'title' => "demo::demo_restaurant.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "demo::demo_restaurant.groups.settings",
                'key' => "documents",
                'title' => "demo::demo_restaurant.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Demo',
            'module' => 'DemoRestaurant',
        ],

        
        
    ];
